Subject: bug#70856: 30.0.50; Hang when scrolling the echo-line with pixel-scroll-precision-mode

From: Steven Allen <[email-masked]>
Date: Thu, 09 May 2024 18:28:19 -0700

I think the fix is a little more complicated because, while a window may
be 1 line tall, the underlying buffer may have more than one line.

I believe we need two changes.

1. In `pixel-scroll-precision-scroll-down` and `-up`, set `max-height`
   to a minimum of `1` (pixel). It looks like someone already "fixed" the
   `-up` variant, but I'm not sure that that "fix" is correct as it
   prevents scrolling in a 1-line window.
2. Disable `pixel-scroll-precision-mode` in the echo area and
   minibuffer? It does not behave well in either case.

But I'm not sure. I'm happy to submit a patch if this sounds like the
right approach.